<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the technorati tag cloud plugin
	 */
	class PluginTechnoratiTagCloudConfigView extends AdminPluginTemplatedView
	{

		function PluginTechnoratiTagCloudConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "technoratitagcloud", "technoratitagcloud" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_technoratitagcloud_enabled" );
			$apikey = $blogSettings->getValue( "plugin_technoratitagcloud_apikey");
			$showtags = $blogSettings->getValue( "plugin_technoratitagcloud_showtags");
			$maxsize = $blogSettings->getValue( "plugin_technoratitagcloud_maxsize" );
			$minsize = $blogSettings->getValue( "plugin_technoratitagcloud_minsize" );
			$maxweight = $blogSettings->getValue( "plugin_technoratitagcloud_maxweight" );
			$minweight = $blogSettings->getValue( "plugin_technoratitagcloud_minweight" );
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "apikey", $apikey );
			$this->setValue( "showtags", $showtags );
			$this->setValue( "maxsize", $maxsize );
			$this->setValue( "minsize", $minsize );
			$this->setValue( "maxweight", $maxweight );
			$this->setValue( "minweight", $minweight );
			
			parent::render();
		}
	}
?>
